Subject: How to configure your MTA [Was: [PATCH] fix some doc typos and grammar]

From: Uwe Kleine-König <[email-masked]>
Date: Fri, 2 Feb 2007 12:43:29 +0100

Hello,

Jakub Narebski wrote:
> > This makes git-send-email work directly, and avoids the gmail web MUA.
> 
> It is fairly easy to do the same with sendmail (which is default MTA
> for many Linux distributions). I have googled the answer thanks to
> some tips on #git channel. You have to change /etc/mail/sendmail.mc
> (or the file where SMART_HOST is commented out), add your credentials
> to /etc/mail/authinfo, then compile changes using "make -C /etc/mail"
> (all of it as root, I think).
> 
> Your credential should have the form (in /etc/mail/authinfo)
> 
>   AuthInfo:smtp.gmail.com "U:[email-masked]" "P:password" "M:PLAIN"
>   AuthInfo: "U:[email-masked]" "P:password" "M:PLAIN"
I'd prefer a MTA that is able to do this on a per-user basis.  My wish
is something like procmail, but for sending.  Some time ago I searched
for such an MTA, but unsuccessful.  Does anyone know such a server?

Best regards
Uwe

-- 
Uwe Kleine-König

dd if=/proc/self/exe bs=1 skip=1 count=3 2>/dev/null